EDIT - feature request #6519

Implement ExportResult
03/16/2017 02:13 PM - Katja Luther

Status: Resolved Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 80%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 4.7

Severity: major

Description

currently exports return only boolean implement it with export result

merging of export results

Related issues:

Related to EDIT - feature request #6314: CDM light (csv) export implemented Closed
Related to EDIT - feature request #6541: Implement ImportResult Resolved
Related to EDIT - feature request #6626: Check all exports if the exportResul... New

Associated revisions

Revision b41ebb00 - 03/16/2017 02:20 PM - Katja Luther

ref #6519: first implementation of exportresult

Revision 79de4982 - 03/16/2017 08:56 PM - Andreas Miiller
ref #6519 adapt app-import to ExportResult

Revision f1badf83 - 03/17/2017 12:56 PM - Katja Luther
ref #6519:add a wrapper for the result data

Revision c5e92bc3 - 03/17/2017 12:59 PM - Katja Luther

ref #6519: implementing wrapper for export data

Revision 03ebde9e - 03/23/2017 10:34 AM - Katja Luther

ref #6314: smaller fixes, creation of tropicos full name string, creation of final result etc

Revision f3e1elfa - 03/23/2017 10:47 AM - Katja Luther

ref #6314: adaption to changes in exports

Revision 5de4f660 - 03/29/2017 12:45 PM - Katja Luther

ref #6519: adapt csv demo exports to the new exportResult and exportResultDataWrapper

Revision e4a12d23 - 03/29/2017 02:50 PM - Katja Luther
ref #6519: minor

Revision 2da896e1 - 03/29/2017 03:49 PM - Katja Luther
ref #6519: missed to adapt the other exports

Revision 529e3037 - 05/17/2017 10:54 AM - Katja Luther

ref #6636: IOResultBase needs to implement Serializable

Revision 8faab8c3 - 06/29/2017 09:34 AM - Andreas Miiller

ref #6519 improve result handling by codeLocation extraction and adding dataLocation
History

#1 - 03/16/2017 02:14 PM - Katja Luther
- Description updated

- Status changed from New to In Progress

#2 - 03/16/2017 02:53 PM - Andreas Miiller
- Related to feature request #6314: CDM light (csv) export implemented added

#3 - 03/24/2017 04:33 PM - Andreas Miiller
- Related to feature request #6541: Implement ImportResult added

#4 - 05/04/2017 02:45 PM - Katja Luther
- % Done changed from 0 to 80

#5 - 05/08/2017 03:47 PM - Katja Luther

- Status changed from In Progress to Resolved
The implementation of ExportResult should be finished, we should check all exports if the result is filled correctly. This is a new ticket (see #6626)

#6 - 05/08/2017 03:47 PM - Katja Luther
- Related to feature request #6626: Check all exports if the exportResult is filled correctly added

#7 - 05/08/2017 03:48 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller
